# DescribeAvailableBorderGateway

## 1. 接口描述

本接口(DescribeAvailableBorderGateway)用于获取可绑定NAT的边界网关。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型     | 描述        |
| ------------ | -- | ------ | --------- |
| natGatewayId | 是  | String | NAT网关 ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| zbgId     | String | 可绑定NAT的边界网关ID。                                           |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取可绑定NAT的边界网关**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeAvailableBorderGateway
<Common Request Params>

Request：
{
  "natGatewayId": "<natGatewayId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "zbgId": "<zbgId>"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                    | 说明                |
| ------- | -------------------------------------- | ----------------- |
| 404     | INVALID\_NAT\_NOT\_FOUND               | NAT网关不存在。         |
| 400     | OPERATION\_DENIED\_NAT\_STATUS         | NAT网关状态不是RUNNING。 |
| 400     | OPERATION\_DENIED\_NAT\_ZBG\_ASSOCIATE | NAT网关已经绑定边界网关。    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/nat-gateway/describeavailablebordergateway.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
